Index: src/backend/postmaster/postmaster.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/postmaster/postmaster.c,v
retrieving revision 1.373
diff -c -r1.373 postmaster.c
*** src/backend/postmaster/postmaster.c	10 Mar 2004 21:12:46 -0000	1.373
--- src/backend/postmaster/postmaster.c	14 Mar 2004 05:21:58 -0000
***************
*** 947,952 ****
--- 947,956 ----
  static void
  pmdaemonize(int argc, char *argv[])
  {
+ #ifdef WIN32
+ 	/* not supported */
+ 	elog(FATAL,"SilentMode not supported under WIN32");
+ #else
  	int			i;
  	pid_t		pid;
  
***************
*** 959,970 ****
  	getitimer(ITIMER_PROF, &prof_itimer);
  #endif
  
- #ifdef WIN32
- 	/* FIXME: [fork/exec] to be implemented? */
- 	abort();
- #else
  	pid = fork();
- #endif
  	if (pid == (pid_t) -1)
  	{
  		postmaster_error("could not fork background process: %s",
--- 963,969 ----
***************
*** 999,1004 ****
--- 998,1004 ----
  	dup2(i, 1);
  	dup2(i, 2);
  	close(i);
+ #endif
  }
  
  
***************
*** 3236,3242 ****
--- 3236,3245 ----
  	int			i;
  
  	if (FindExec(fullprogname, argv[0], "postmaster") < 0)
+ 	{
+ 		elog(LOG, "could not locate postmaster");
  		return false;
+ 	}
  
  	snprintf(filename, sizeof(filename), "%s/postmaster.opts", DataDir);
  
Index: src/backend/storage/lmgr/s_lock.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/storage/lmgr/s_lock.c,v
retrieving revision 1.25
diff -c -r1.25 s_lock.c
*** src/backend/storage/lmgr/s_lock.c	10 Feb 2004 03:42:45 -0000	1.25
--- src/backend/storage/lmgr/s_lock.c	14 Mar 2004 05:21:58 -0000
***************
*** 72,78 ****
  	 * (and thus the probability of unintended failure) than to fix the
  	 * total time spent.
  	 *
! 	 * The select() delays are measured in centiseconds (0.01 sec) because 10
  	 * msec is a common resolution limit at the OS level.
  	 */
  #define SPINS_PER_DELAY		100
--- 72,78 ----
  	 * (and thus the probability of unintended failure) than to fix the
  	 * total time spent.
  	 *
! 	 * The pg_usleep() delays are measured in centiseconds (0.01 sec) because 10
  	 * msec is a common resolution limit at the OS level.
  	 */
  #define SPINS_PER_DELAY		100
Index: src/backend/utils/init/findbe.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/utils/init/findbe.c,v
retrieving revision 1.41
diff -c -r1.41 findbe.c
*** src/backend/utils/init/findbe.c	2 Feb 2004 00:11:31 -0000	1.41
--- src/backend/utils/init/findbe.c	14 Mar 2004 05:22:02 -0000
***************
*** 49,61 ****
  	uid_t		euid;
  	struct group *gp;
  	struct passwd *pwp;
  #else
  	char		path_exe[MAXPGPATH + 2 + strlen(".exe")];
  #endif
- 	int			i;
  	int			is_r = 0;
  	int			is_x = 0;
- 	int			in_grp = 0;
  
  #ifdef WIN32
  	/* Win32 requires a .exe suffix for stat() */
--- 49,61 ----
  	uid_t		euid;
  	struct group *gp;
  	struct passwd *pwp;
+ 	int			i;
+ 	int			in_grp = 0;
  #else
  	char		path_exe[MAXPGPATH + 2 + strlen(".exe")];
  #endif
  	int			is_r = 0;
  	int			is_x = 0;
  
  #ifdef WIN32
  	/* Win32 requires a .exe suffix for stat() */
